package tptel.modele;
// Generated 4 Oct 2021, 11:17:05 by Hibernate Tools 5.4.30.Final

import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Facture generated by hbm2java
 */

@Entity
@Table(name = "facture")
public class Facture implements java.io.Serializable {

	private Integer idFact;
	private Abonnement abonnement;
	private Date dateFact;
	private float montant;
	private boolean reglee;

	public Facture() {
	}

	public Facture(Abonnement abonnement, Date dateFact, float montant, boolean reglee) {
		this.abonnement = abonnement;
		this.dateFact = dateFact;
		this.montant = montant;
		this.reglee = reglee;
	}

	@Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "idFact",unique=true, nullable = false)
	public Integer getIdFact() {
		return this.idFact;
	}

	public void setIdFact(Integer idFact) {
		this.idFact = idFact;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "abonnement_id", nullable = false)
	public Abonnement getAbonnement() {
		return this.abonnement;
	}

	
	public void setAbonnement(Abonnement abonnement) {
		this.abonnement = abonnement;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "dateFact", nullable = false, length = 10)
	public Date getDateFact() {
		return this.dateFact;
	}

	public void setDateFact(Date dateFact) {
		this.dateFact = dateFact;
	}

	@Column(name = "montant", nullable = false)
	public float getMontant() {
		return this.montant;
	}

	public void setMontant(float montant) {
		this.montant = montant;
	}

	@Column(name = "reglee")
	public boolean isReglee() {
		return this.reglee;
	}

	public void setReglee(boolean reglee) {
		this.reglee = reglee;
	}

}
